#!/bin/sh
echo 'name: monads-tf
version: 0.1.0.1
id: monads-tf-0.1.0.1-7425e9a052c21cc7747906e9ce77233b

license: BSD3
copyright:
maintainer: Ross Paterson <ross@soi.city.ac.uk>
stability:
homepage:
package-url:
synopsis: Monad classes, using type families
description: Monad classes using type families, with instances for various
             monad transformers, inspired by the paper /Functional Programming
             with Overloading and Higher-Order Polymorphism/, by Mark P
             Jones, in /Advanced School of Functional Programming/, 1995
             (<http://web.cecs.pdx.edu/~mpj/pubs/springschool.html>).
             .
             This package is almost a compatible replacement for the @mtl-tf@ package.
category: Control
author: Andy Gill
pkgpath: devel/hs-monads-tf
exposed: True
exposed-modules: Control.Monad.Cont Control.Monad.Cont.Class
                 Control.Monad.Error Control.Monad.Error.Class
                 Control.Monad.Identity Control.Monad.List Control.Monad.RWS
                 Control.Monad.RWS.Class Control.Monad.RWS.Lazy
                 Control.Monad.RWS.Strict Control.Monad.Reader
                 Control.Monad.Reader.Class Control.Monad.State
                 Control.Monad.State.Class Control.Monad.State.Lazy
                 Control.Monad.State.Strict Control.Monad.Trans Control.Monad.Writer
                 Control.Monad.Writer.Class Control.Monad.Writer.Lazy
                 Control.Monad.Writer.Strict
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc/monads-tf-0.1.0.1
library-dirs: /usr/local/lib/ghc/monads-tf-0.1.0.1
hs-libraries: HSmonads-tf-0.1.0.1
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base-4.6.0.1-6b06c3defb20732cfd08deb8ba52ca7c
         transformers-0.3.0.0-ff2bb6ac67241ebb987351a3db564af0
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-monads-tf-0.1.0.1/html/monads-tf.haddock
haddock-html: /usr/local/share/doc/hs-monads-tf-0.1.0.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
